Caddy(8)

NAME
caddy-environ - Prints the environment

SYNOPSIS
caddy environ [--envfile ] [flags]

DESCRIPTION
Prints the environment as seen by this Caddy process.

The environment includes variables set in the system. If your Caddy configuration uses environment variables (e.g. "{env.VARIABLE}") then this command can be useful for verifying that the variables will have the values you expect in your config.

If --envfile is specified, an environment file with environment variables in the KEY=VALUE format will be loaded into the Caddy process.

Note that environments may be different depending on how you run Caddy. Environments for Caddy instances started by service managers such as systemd are often different than the environment inherited from your shell or terminal.

You can also print the environment the same time you use "caddy run" by adding the "--environ" flag.

Environments may contain sensitive data.

OPTIONS
--envfile=[]
    Environment file(s) to load

-h, --help[=false]
    help for environ

SEE ALSO
caddy(8)

HISTORY
22-Aug-2025 Auto generated by spf13/cobra